Endpoint/api/convert
Image Cropper - Crop Images for Mac, PS & Social Media API
Learn how to crop image on mac, how to crop an image in photoshop, and how to crop image in illustrator. Our online image cropper makes it easy.
Learn how to crop image on mac, how to crop an image in photoshop, and how to crop image in illustrator. Our online image cropper makes it easy.
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| file | binary | Yes | The source file. |
| to | string | Yes | Target format or same format for compression. |
Code Examples
CURL
curl -X POST https://convertfleet.com/api/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "file=@input.pdf" \
-F "to=docx" \
-o output.docxJS
const axios = require('axios');
const fs = require('fs');
const FormData = require('form-data');
const form = new FormData();
form.append('file', fs.createReadStream('input.pdf'));
form.append('to', 'docx');
const res = await axios.post('https://convertfleet.com/api/convert', form, {
headers: { ...form.getHeaders(), 'Authorization': 'Bearer YOUR_API_KEY' },
responseType: 'arraybuffer',
});
fs.writeFileSync('output.docx', res.data);PYTHON
import requests
res = requests.post(
"https://convertfleet.com/api/convert",
files={"file": open("input.pdf", "rb")},
data={"to": "docx"},
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
open("output.docx", "wb").write(res.content)Related Resources
Ready to Start Converting?
Join thousands of developers and businesses using Convert Fleet.